# task_get_result.cpp File Reference

`#include <saga/saga/job.hpp>`
`#include <saga/saga/adaptors/task.hpp>`
`#include <saga/saga/detail/task_get_result_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail
## Classes
struct | saga::detail::disable_reconvert< saga::job::state >
struct | saga::detail::disable_reconvert< saga::job::ostream >
struct | saga::detail::disable_reconvert< saga::job::istream >
## Functions
template saga::job::job & | saga::task::get_result< saga::job::job > ()
template saga::job::state & | saga::task::get_result< saga::job::state > ()
template saga::job::ostream & | saga::task::get_result< saga::job::ostream > ()
template saga::job::istream & | saga::task::get_result< saga::job::istream > ()
template saga::job::self & | saga::task::get_result< saga::job::self > ()
template saga::job::description & | saga::task::get_result< saga::job::description > ()
template saga::job::service & | saga::task::get_result< saga::job::service > ()